aboutsummaryrefslogtreecommitdiffstats
path: root/debian/plptools.init
diff options
context:
space:
mode:
Diffstat (limited to 'debian/plptools.init')
-rw-r--r--debian/plptools.init22
1 files changed, 13 insertions, 9 deletions
diff --git a/debian/plptools.init b/debian/plptools.init
index 7c250d4..5e0f80d 100644
--- a/debian/plptools.init
+++ b/debian/plptools.init
@@ -20,11 +20,13 @@ set -e
case "$1" in
start)
- echo -n "Starting $DESC ($DAEMON1): "
- start-stop-daemon --start --quiet \
- --exec $DAEMON1 -- $NCPD_ARGS && \
- echo -n "done" || echo -n "already running"
- echo "."
+ if test "$START_NCPD" = "yes" ; then
+ echo -n "Starting $DESC ($DAEMON1): "
+ start-stop-daemon --start --quiet \
+ --exec $DAEMON1 -- $NCPD_ARGS && \
+ echo -n "done" || echo -n "already running"
+ echo "."
+ fi
if test "$START_PLPNFSD" = "yes" ; then
echo -n "Starting $DESC ($DAEMON2): "
start-stop-daemon --start --quiet \
@@ -54,10 +56,12 @@ case "$1" in
echo -n "done" || echo -n "already stopped"
echo "."
fi
- echo -n "Stopping $DESC ($DAEMON1): "
- start-stop-daemon --stop --quiet --exec $DAEMON1 && \
- echo -n "done" || echo -n "already stopped"
- echo "."
+ if test "$START_NCPD" = "yes" ; then
+ echo -n "Stopping $DESC ($DAEMON1): "
+ start-stop-daemon --stop --quiet --exec $DAEMON1 && \
+ echo -n "done" || echo -n "already stopped"
+ echo "."
+ fi
;;
#reload)